<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
  <head>
    <meta charset="utf-8" />
    <meta name="generator" content="pandoc" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=yes"
    />
    <title>gulp</title>
    <style type="text/css">
      code {
        white-space: pre-wrap;
      }
      span.smallcaps {
        font-variant: small-caps;
      }
      span.underline {
        text-decoration: underline;
      }
      div.column {
        display: inline-block;
        vertical-align: top;
        width: 50%;
      }
    </style>
  </head>
  <body>
    <h2 id="gulp">Gulp</h2>
    <p>https://css-tricks.com/the-simplest-ways-to-handle-html-includes/</p>
    <p>
      Use Gulp What’s even faster than a server-side include? If the include is
      preprocessed before it’s even on the server. Gulp has a variety of
      processors that can do this. One is gulp-file-include.
    </p>
    <p>That would look like this:</p>
    <p>…</p>
    <body>
      <p>
        @<span class="citation" data-cites="include">@include</span
        >(‘./header.html’)
      </p>
      <p>Content</p>
      <p>
        @<span class="citation" data-cites="include">@include</span
        >(‘./footer.html’)
      </p>
    </body>
    <p>… And you’d process it like:</p>
    <p>
      var fileinclude = require(‘gulp-file-include’), gulp = require(‘gulp’);
    </p>
    <p>
      gulp.task(‘fileinclude’, function() { gulp.src([‘index.html’])
      .pipe(fileinclude({ prefix: ‘@@’, basepath: ‘<span
        class="citation"
        data-cites="file"
        >@file</span
      >’ })) .pipe(gulp.dest(‘./’)); }); Looks like this particular plugin has
      fancy features where you can pass in variables to the includes, making it
      possible to make little data-driven components.
    </p>
  </body>
</html>
